-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
local ModName, Sequences = ...
local GSE = GSE
---- PRINT MISSING GSE
	if GSE == nil then
	print("Addon requires GSE3. You can get it from Curseforge @https://www.curseforge.com/wow/addons/gse-gnome-sequencer-enhanced-advanced-macros")
	return;
	end
local L = GSE.L
local Statics = GSE.Static
local GSEPlugin = LibStub("AceAddon-3.0"):NewAddon(ModName, "AceEvent-3.0")
-----------------------------------------------------------------------------

if GSE.isEmpty(Sequences) then
  local Sequences = {}
end

-----------------------------------------------------------------------------

---- Put the macros here [[MACRO HERE]]
---- We are storing more detail to give more control.
---- To find the ClassID - /gse showspec will tell you what the ClassID and SpecID is for your character

Sequences["EA_VDH_OB"] = {
    ["Macro"] = [[dSKliaqikPOrHuvCkKQQMLuXTOKk7Isk9lQkddQ6yu0YOupJcnnKkxtuyBcQ6BufmoQsohsvwNOO5Huv6EQk4FIugOQkoiszHqLEOQQMivPUiuyJuf5JQQ0ivvQtkiRKc6LIQMjvrDtrQ2Pk(jvHgku0rrQQSuPspvXuj4QQkzRQk6RusvVvu5UIs7f8xbvgmKdR0IPK8yKmzkXLrTzOIplsgTioTk9AQQMTuUnuA3i(nvgUahxvHwUqpNOPl56svBNc8DbLZtO1tjfMVQSFsdMGaCmHbdAH7tV)oCEex4ydcWiSnMusysRtADsRtADsRtADsdgA9vIlcZxe)exyefrRVsCry(DW4tokVocCmAIhpmyqWXfP4)oSbBTwDB3seWfgpVY6RalBXwGXgVTTPPTx49Iotttye84F4qp8249amPVurNeeGJjiaZNB8Uw1yjiatEwSl34vYGaCmHXh1klj)XEMqXkkhXrLSec3UKuzvKIuuKLC9HAJP4srksij6ctr)22RbChfr6Bn4ydJpQvwkkhwNLmLjxCQok6NG2kYXSkkebhos2MIMkE9ZWXim(OwzPOCyDwYCBvwfLoxlwxmiXjVsOGjplIzKLsqaoMW4R2ykUycJvur5iUKnInBol8AjlCSHXh1klj)XEMqXkkhXrLSec3UKuzvKIuuKLC9HAJP4srksij6ctr)22RbChfr6Bn4yegFuRSuuoSolzktU4uDu0pbTvKJzvuicoCKSnfnv86NHdDW4JALLIYH1zjZTvzvu6CTyDXGeN8kHckyOrvxhrccWXeeGJjm6tF5zrmJSuQp9bhBy8rTYsr5ioQKLq42LKkRImshDELb9GJry0N(YZID5gVswF6dMqKIJgSn4ydJGyadtxoG3ck4ydcWXeg9PV8SiMrwk1N(GJnm(OwzPOCehvYsiC7ssLvr2z4f9SXdhJWOp9LNf7YnELS(0hmHifhnyBWHoyeedyy6Yb8wqbhJGaCmHrF6lplIzKLs9Pp4ydJpQvwkkhXrLSec3UKuzvKTPnEVOdogHrF6lpl2LB8kz9PpycrkoAW2GJjEyeedyy6Yb8wqbh6ab4yccWXeg9PV8SiMrwk1N(GJnm(OwzPOCehvYsiC7ssLvrgPJoVcVnCmcJ(0xEwSl34vY6tFWiigWWqJQUocuWXgeGJjm6tF5zrmJSuQp9bhBy8rTYsr5(P2ykU6qCujlHWTljvwfz6b6HpdpahJWOp9LNf7YnELS(0hmcIbmm0OQRJafCmccWXeg9PV8SiMrwk1N(GJnm(Owzj5p2Zekwr5(jOTICSdXrLSec3UKuzvKIuuKLC9bkhwR2srkYgpDzqVW3rr24Tnn6b4yeg9PV8SyxUXRK1N(GrqmGHHgvDDeOGrqmGHXZoxamD5aEl4ydZuCGN6ju11rGbZ41fVLiuqbtiIv93w95gVRvnwccW83H1QTaCHriEj(5YeWfgH4L4NlBaxOGckyMaMkK3WX0ggRNx)06JReeGcM05A9ERfeG5BUf0Ue)WKuvGmtF(S66S22L43h3WrC7HryBmPKWG7x(P9NyW(THeV(DW07WxbltznWuaxAPc91)UyqR7F63)uyuyy4Fddzy5)RjKHjJFmOrJgnAWGbbhxKI)7WgS1A1TDlraxye84F4yIhpE82WqRVsCryWOHJ42dZ)2kLH8goM2WK(s63wisXrdysDDeaxycr5iWaZ3Clagdmvu6Rfwr)yNbESs1W57qEsitRtrEYfvuicoCKSnfnv86Nv0pbTvKJQH08SqMwNI8KlQO05AX6Ibjo5vQgQgkKCLkc7sfDk6kvKf2YLAl2IIkNIWkQOnmw6WYkcZTISJive91OIOpIUEf5N4ctrHL4uKORxrBKP)kkSBL46lfvj8nQikhPUKE2IIK9bbUyPOkHLSIWUurNurH56BwuKvSIW6KLI6jTRFUjATkACkAvKmX1xkY1xkQCkAjwuewrfXfhjBtrvYs8lveVujkAjwueBahfvK8ss1yf5iSIC4OOkHXAnH5SyzyWGw4(07VdNhXfgpVY6RalBXwGXgVTjEJ2gXJ30mdty8MXz7BfCmHzcyQqEdNm8YegRNx)06JReeGcMFhm(KJYRJahJM2Mqbfuaa]],
    ["SpecID"] = 581,
    ["ClassID"] = 12
}
Sequences["EA_HDH_OB"] = {
    ["Macro"] = [[dO09haqisHQrjsLofPqAwIIBrkL2Lsq)sKmmq5yK0Yivpdetds5AIsBta(gPunor05ifTosbZJuiUhPu8prWafPIdIIwOsYdfqtes1fbv2ivs9rLqgjvQoPs0kjL8sQWmPsYnbPStP8tQegQsQLsf9ujtfLUQsO2kivFvKQERsP7cs2RQ)sLObJ0HbwSsXJHQjlqxMyZIqFgu1OfvNgkVgfMne3gs2nIFtvdxqhxjWYLQNJQPR46kvBNkLVls58Ky9KcL5l0(P8vp7BQVGJPlDhD3DPlw9M(zFXcqeYWFLqMeYKqMeYKqMeYKWlM7tUV)AXegeFAeJYCFY99xlQGd6sNJ5jVbrfw2xWrs03XLa9Ocbdydgc2O8vVCfGplomiyKGV0HPdbMQQMQzvHKfYlwxe4BActhM2FbnaE3Zp7BQN9f0bDmWgeHF2xoefNcIa4YzFt9vkCaFm6wCpQnGjdXJNdiebbJapugDfYE)ZlhIY6UW5N9n1xPgqhEzeIGsXOBj(CqhfuBdkGGq9M(Ru4a(y0TO8b1aazGYOOd6micN)gKxPWb8XOBr5dQbEowItM0jebOiDOmk0KbGY3dZ9Cm(NpVyIpyEc)SVPE23uFzrl6quw3fo3Iw8n9xPWb8Hllyxi4Ir3s845acrqWiWdLrnQr7cxgTb3JAdymQrvtMenn1mJrvtMvvhYBqEzrl6quCkicGlw0IVwsgP7ga5n9xSkHYlNsOaMpVPF23uFzrl6quw3fo3Iw8n9xPWb8XOBjE8CaHiiye4HYO6ztQPoS3G8YIw0HO4uqeaxSOfFTKms3naYBzFXQekVCkHcy(8gKZ(M6llArhIY6UW5w0IVP)kfoGpgDlXJNdiebbJapugvhIEsnH8gKxw0IoefNcIa4IfT4RLKr6UbqEdYlwLq5LtjuaZN3q7SVPE23uFzrl6quw3fo3Iw8n9xPWb8Hllyxi4Ir3I7rTbmziE8CaHiiye4HYOg1ODHlJ2G7rTbmg1O6ztMmayzmQQMjHPc5niVSOfDikofebWflAXxSkHYlM4dMN85n9Z(M6llArhIY6UW5w0IVP)kfoGpgDlXJNdiebbJapugfcAOLma93G8YIw0HO4uqeaxSOfFXQekVyIpyEYN3GC23uFzrl6quw3fo3Iw8n9xPWb8XOBjE8CaHiiye4HYOqqdTKbO)gKxw0IoefNcIa4IfT4lwLq5ft8bZt(8IvjuE5kVp8LtjuaZB6VQrcD9obFW8Kxof3Koxw3X8DSr5ZBzp7BQVSOfDikR7cNBrl(M(Ru4a(WLfSleCXOBjE8CaHiiye4HYO6WqlRMbKXO6W0EajrlJr1HHwwnd4niVSOfDikofebWflAXxljJ0DdG8MkSxSkHYlNsOaMpFETKSzhdzGoOJb2Gi8Z(kqpQnG5REX2XimKr9REX2XimKr)R(85ZRkuWxI(BQ6VsVayWCVd4N9ZlOjdaDWao7l3fKqemcJx5ZeY1qQuBW8lebJWiLGKOcy)flarid)1k4yWmqIBa31IKCr1A0dycbcUgBnBodgWPvP1YHbCoXG5WjtMmzYKjtyvL2kgbQLtTyWGr6l4HB5Qxqdq2biljJ0DtidMN8vVyUp5((l4qsubS)ArfCqx6Cmp5niQ6jFbhjrFhxc0JkemGnyiyJYx9k9cGbZ9oGF2pVqxseSJmVP(YDbj8f0vxOQrHgiOy00rplmuCtlMUIvdARrDTVBu0bDgeHZnTk3x6AwnOTg11(UrHMmau(EyUNJXnTmTyZX4gffaV7nkg3ObLGy4GrcA0XBuukgfKMW9OeJUgmDXt4gvJaXOPRIF3Omi(0mAA5EJQ43nkOlAuJMg2K73hJo5cw3O4EYGr2LGgLVhg67JrNCHlgffaV75gnn)osqJUrmkkpFm6obbJHGOSqJwEJcmkp3Vpg1VpgD8gfqcAuukgvgPtaigDYbegCJka8CJcibnQ4M0vmkhJapIyuprmQprJo5ckn(RgaL8coMU0D0D3LUy1lxb4ZIddcgj4lDy6QWuHHMAsybOd5vfk4lr)TSAx7VyDrGVPcdgmyzFficGZxI(BQ6F(85ha]],
    ["SpecID"] = 577,
    ["ClassID"] = 12
}

-----------------------------------------------------------------------------

---- Because we know the names earlier we can dynamically figure out the names.
local macroNames = {}
-- For each k ("MACRO NAME") and v (the macro string and classid) do this loop
for k,v in pairs(Sequences) do
---- Add the name to the list of macroNames
    table.insert(macroNames, k)
end

-----------------------------------------------------------------------------

local function loadSequences(event, arg)
  if arg == ModName then
---- Force overwrite of macros ignoring the players merge preference
    for k,v in pairs(Sequences) do
        local localsuccess, uncompressedVersion = GSE.DecodeMessage(v.Macro)
        GSE.ReplaceMacro(v.ClassID, k, uncompressedVersion[2])
    end


---- Tell GSE to reload the new stuff
    GSE.PerformReloadSequences()


---- Print Success Message
    GSE.Print("Hello, " .. UnitName("player") .. " " .. UnitLevel("player") .. "  - Elfyau's awesome Macro Set has been loaded.", ModName)
  end
end


if GSE.RegisterAddon(ModName, GetAddOnMetadata(ModName, "Version"), macroNames) then
  loadSequences("Load", ModName)
end

GSEPlugin:RegisterMessage(Statics.ReloadMessage,  loadSequences)
